# shm_remove_var

(PHP 4, PHP 5, PHP 7)

shm_remove_var — Removes a variable from shared memory

### Description

shm_remove_var ( resource `$shm_identifier` , int `$variable_key` ) : bool

Removes a variable with a given `variable_key` and frees the occupied memory.

### Parameters

`shm_identifier`

  The shared memory identifier as returned by shm_attach()

`variable_key`

  The variable key.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- shm_remove() - Removes shared memory from Unix systems